-- vim: ts=2 sw=2 ai et enc=utf8 fenc=utf8

if not Ammo then Ammo = {} end
Ammo.locales = {}

-- Set to true while working on localization can be helpful
Ammo.locales.debug = true

-- Master strings table
Ammo.locales.DefaultStrings = setmetatable (
  {},
  { __index = function (self, key)
      if Ammo.locales.debug then DEFAULT_CHAT_FRAME:AddMessage ("Unlocalized: "..tostring(key)) end
      rawset (self, key, key)
      return key
    end
  }
)

local function mkstr (str) Ammo.locales.DefaultStrings[str] = str end
-- These are the strings that should be localized.

-- Notifications
mkstr ("equipping ")
mkstr ("arrows")
mkstr ("bullets")
mkstr ("auto-switch active - using ") -- ..bullets/arrows
mkstr ("auto-switch inactive")
mkstr ("on")
mkstr ("OFF")
mkstr ("auto-switch now ") -- ..on/OFF
mkstr ("Warning: Running low on ") -- ..[ammo-type]
mkstr ("Warning: Out of ") -- ..[ammo-type]
mkstr ("CRITICAL: Out of all ammo!")
mkstr ("Don't yet know which ammo type to use - equip a ranged weapon first")
mkstr ("Available ammo (in ascending order):")
mkstr (" (equipped)")
mkstr ("No ammo available!")
mkstr ("no ranged weapon currently equipped, auto-switch inactive until one has been equipped")
mkstr ("Restocking ")
mkstr (" (max)")
mkstr ("Restock failed - vendor out of ammo to sell?")
mkstr ("Restocking complete. Purchased ")
mkstr ("Hot-swap key-bind setup deferred - bag contents not available yet")
mkstr ("Hot-swap key-binds now ready")
mkstr ("Wrong ammo used - switch manually")

-- LDB display
mkstr ("Available ammo")
mkstr ("None")
mkstr ("No weapon equipped")

-- Help text for /ammo
mkstr ("Available sub commands:")
mkstr ("open the configuration screen")
mkstr ("prints ammo status")
mkstr ("equip premium ammo")
mkstr ("equip low-grade ammo")
mkstr ("Unknown command")

-- Configuration screen
mkstr ("Ammo warnings")
mkstr ("PvE ammo")
mkstr ("PvP ammo")
mkstr ("Profiles")
mkstr ("Chat")
mkstr ("Provide warning in the default chat window.")
mkstr ("Error frame")
mkstr ("Provide warning in the standard error frame (top center of screen).")
mkstr ("Voice")
mkstr ("Provide vocal warning.")
mkstr ("General settings")
mkstr ("Ammo-matique provides automated out-of-combat ammo handling. It can automatically select the suitable ammo type in any particular situation.")
mkstr ("Ammo-matique uses two terms when referring to ammo - 'premium' and 'lowgrade'. Premium refers to the ammo type with the highest DPS that you have available. Conversely, lowgrade refers to the ammo type with the lowest DPS.")
mkstr ("Tip: you can use /ammo to access Ammo-matique functionality from macros or the chat box.")
mkstr ("Auto-switch")
mkstr ("Automatically switch ammo in PvE and/or PvP.")
mkstr ("Notifications")
mkstr ("Provide status notifications, e.g. when switching ammo.")
mkstr ("Ammo-matique can provide warnings when you are running low or out of ammunition in a variety of ways. Select the ones you would like.")
mkstr ("Voice set")
mkstr ("Voice set to use if voice warnings are enabled.")
mkstr ("Male")
mkstr ("Female")
mkstr ("Low ammo warning")
mkstr ("Enabled")
mkstr ("Warn when the current ammo is running low.")
mkstr ("Low ammo threshold")
mkstr ("Warn when current ammo falls below this value.")
mkstr ("Ammo exhausted warning")
mkstr ("Warn when the current ammo is exhausted.")
mkstr ("All ammo exhausted warning")
mkstr ("Warn when all ammo is exhausted.")
mkstr ("Wrong ammo used warning")
mkstr ("Warn if using the wrong ammo when in combat, and Ammo-matique can not automatically switch it for you.")
mkstr ("PvE ammo switching")
mkstr ("Ammo-matique allows you to automatically switch ammo depending on the type of mob you are about to fight.")
mkstr ("Bosses")
mkstr ("Switch ammo for bosses.")
mkstr ("Ammo type")
mkstr ("Ammo type to use when fighting bosses.")
mkstr ("Premium")
mkstr ("Low-grade")
mkstr ("Elites")
mkstr ("Switch ammo for elite mobs.")
mkstr ("Ammo type to use when fighting elite mobs.")
mkstr ("Non-elites")
mkstr ("Switch ammo for non-elite mobs.")
mkstr ("Ammo type to use when fighting non-elite mobs.")
mkstr ("PvP ammo switching")
mkstr ("Whenever you engage (or prepare to engage) another player in combat, Ammo-matique can automatically switch in ammo for you based on the situation.")
mkstr ("Arena")
mkstr ("Switch ammo when engaging in an Arena.")
mkstr ("Ammo type to use when engaging in an Arena.")
mkstr ("Battlegrounds")
mkstr ("Switch ammo when engaging in Battlegrounds.")
mkstr ("Ammo type to use when engaging in Battlegrounds.")
mkstr ("World PvP")
mkstr ("Switch ammo when engaging in world PvP.")
mkstr ("Ammo type to use when engaging in world PvP.")
mkstr ("World")
mkstr ("Mobs roaming the world outside any instances.")
mkstr ("5-man")
mkstr ("Mobs inside regular 5-man instances.")
mkstr ("Heroic 5-man")
mkstr ("Mobs inside heroic 5-man instances.")
mkstr ("10-man")
mkstr ("Mobs inside 10-man raid instances.")
mkstr ("Heroic 10-man")
mkstr ("Mobs inside heroic 10-man raid instances.")
mkstr ("25-man")
mkstr ("Mobs inside 25-man raid instances.")
mkstr ("Heroic 25-man")
mkstr ("Mobs inside heroic 25-man raid instances.")
mkstr ("Ammo restocking")
mkstr ("Ammo-matique can automatically restock your ammo supply whenever you visit a vendor selling ammo. If you only have one ammo type in your inventory, it is considered the premium type and will be restocked accordingly unless you have specified set ammo.\nOnly enable this if you are comfortable having an add-on buy things automatically - it could be expensive!")
mkstr ("Restock premium ammo automatically when visiting an ammo vendor.")
mkstr ("Ammo stock level")
mkstr ("Ammo stock level to adhere to (individual arrows/bullets, not stacks)")
mkstr ("Set ammo type")
mkstr ("Always buy the specified ammo type for premium ammo (as opposed to automatically discovering it)")
mkstr ("Always buy the specified ammo type for low-grade ammo (as opposed to automatically discovering it)")
mkstr ("Always buy this ammo type when restocking. If the desired ammo type is not listed, please purchase a sample of it and come back here.")
mkstr ("Restock premium")
mkstr ("Restock low-grade")
mkstr ("Restock low-grade ammo automatically when visiting an ammo vendor.")
mkstr ("Ammo type")
mkstr ("Restock options")
mkstr ("Ammo bag")
mkstr ("Ammo-matique can ensure all your ammo is kept in a single bag even when you are not using quivers or ammo pouches. Designate which bag to use as the ammo bag below.")
mkstr ("Use ammo bag")
mkstr ("Automatically keep ammo in the single designated bag whenever possible.")
mkstr ("Select bag to use as the designated ammo bag")

